Vionlabs Binge Markers Results API
Get marker information for an asset.
DeprecatedDEPRECATED.
Returns asset marker information for the asset with the specified customer
ident. If the asset is found in catalog but has not yet been processed the
not_yet_available flag will be set in the response
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Path Parameters
Customer identifier for an item in the catalog
Query Parameters
Specify binge markers version code
Response Body
application/json
application/json
curl -X GET "https://example.com/results/markers/v1/asset/string"{
"credit_start": 3057,
"ident": "1347gg5",
"intro_end": 125,
"intro_start": 60,
"not_yet_available": false,
"recap_end": 155,
"recap_start": 125
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get list of binge markers information
DeprecatedDEPRECATED.
Returns paginated list of items with binge markers information for the customer catalog
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Query Parameters
Specifies start of time window (ISO 8601). If not specified then all results will be returned
Specifies end of time window (ISO 8601). If not specified then utcnow() value will be used.It is recommended to fix this argument while looping across pages to establish a fixed time window
Specifies a positional number of page with results
00 <= valueSpecifies a max number of results per page
10001 <= valueSpecify binge markers version code
Response Body
application/json
application/json
curl -X GET "https://example.com/results/markers/v1/"{
"page_num": 0,
"page_size": 0,
"total_count": 0,
"data": []
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Gets asset marker result status and information for the asset with the specified customer ident.
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Path Parameters
Customer identifier for an item in the catalog
Query Parameters
Specify binge markers version code
Response Body
application/json
application/json
curl -X GET "https://example.com/results/markers/v2/string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"credit_start": 3057,
"ident": "1347gg5",
"intro_end": 125,
"intro_start": 60,
"not_yet_available": false,
"recap_end": 155,
"recap_start": 125
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Gets asset marker result status for the asset with the specified customer ident.
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Path Parameters
Customer identifier for an item in the catalog
Query Parameters
Specify binge markers version code
Response Body
application/json
application/json
curl -X GET "https://example.com/results/markers/v2/status/string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Returns paginated list of items with binge markers information for the customer catalog
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Query Parameters
Specifies start of time window (ISO 8601). If not specified then all results will be returned
Specifies end of time window (ISO 8601). If not specified then utcnow() value will be used.It is recommended to fix this argument while looping across pages to establish a fixed time window
Specifies a positional number of page with results
00 <= valueSpecifies a max number of results per page
5001 <= valueSpecify binge markers version code
Response Body
application/json
application/json
curl -X GET "https://example.com/results/markers/v2/"{
"page_num": 0,
"page_size": 0,
"total_count": 0,
"data": []
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Vionlabs Tasks API
Vionlabs API for creating, retrieving and deactivating processing tasks for catalog assets and product versions. Tasks are used to orchestrate processing and expose the current state of requested work across the system.
Vionlabs Fingerprint+ API
Vionlabs API for retrieval of content fingerprint results plus additional metadata.